Package org.eclipse.graphiti.pattern.mapping

## Class MappingProviderProvider

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

Direct Known Subclasses:
  `DataMapping`, `StructureMapping`

    public abstract class MappingProviderProvider
    extends java.lang.Object

The Class MappingProviderProvider.

### Constructor Summary

Constructors
`MappingProviderProvider​(IMappingProvider mappingProvider)` Creates a new `MappingProviderProvider`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IMappingProvider` `getMappingProvider()` Gets the mapping provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappingProviderProvider

    public MappingProviderProvider​(IMappingProvider mappingProvider)

Creates a new `MappingProviderProvider`.

Parameters:
  `mappingProvider` - the mapping provider

### Method Detail

#### getMappingProvider

    protected IMappingProvider getMappingProvider()

Gets the mapping provider.

Returns:
  the mapping provider